Config::Model::Backend::Systemd::Unit(3pm)

NAME
Config::Model::Backend::Systemd::Unit - R/W backend for systemd unit files

VERSION
version 0.260.1

SYNOPSIS
 # in systemd service or socket model
 rw_config => {
     'auto_create' => '1',
     'auto_delete' => '1',
     'backend' => 'Systemd::Unit',
     'file' => '&index.service'
 }

DESCRIPTION
"Config::Model::Backend::Systemd::Unit" provides a plugin class to enable Config::Model to read and write systemd configuration files. This class inherits Config::Model::Backend::IniFile is designed to be used by Config::Model::BackendMgr.

Methods

  read
This method read config data from systemd default file to get default values and read config data.

  write
This method write systemd configuration data.

When the service is disabled, the target configuration file is replaced by a link to "/dev/null".

LIMITATIONS
Unit backend cannot read or write arbitrary files in "/etc/systemd/system/unit.type.d/" and " ~/.config/systemd/user/unit.type.d/*.conf".

AUTHOR
Dominique Dumont

COPYRIGHT AND LICENSE
This software is Copyright (c) 2008-2025 by Dominique Dumont.

This is free software, licensed under:

  The GNU Lesser General Public License, Version 2.1, February 1999